Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.editor
Interface ERDiagramEditor

    com.change_vision.jude.api.inf.editor.ERDiagramEditor

All Superinterfaces:
  BasicDiagramEditor, DiagramEditor

All Implemented Interfaces:
  BasicDiagramEditor, DiagramEditor

    public ERDiagramEditor

extends BasicDiagramEditor

Interface to edit (create/delete) ER diagrams. Throws Exception when invalid models are generated.

Method Summary
`abstract IERDiagram` | `createERDiagram(IERSchema owner, String name)` Create a ER Diagram.
`abstract ILinkPresentation` | `createLinkPresentation(IElement model, INodePresentation source, INodePresentation target)` Create a ILinkPresentation.
`abstract INodePresentation` | `createNodePresentation(IElement model, Point2D location)` Create a INodePresentation.
`abstract INodePresentation` | `createSubtypeRelationshipGroup(ILinkPresentation[] subtypeRelationships, String direction)` Create a presentation for the group of the shared subtype relationships.
`abstract INodePresentation` | `getSubtypeRelationshipGroup(ILinkPresentation subtypeRelationship)` Get the presentation for the group of the shared containment relation.

Methods inherited from class com.change_vision.jude.api.inf.editor.BasicDiagramEditor
`createNote, createNoteAnchor, createNoteAnchor`

Methods inherited from class com.change_vision.jude.api.inf.editor.DiagramEditor
`createImage, createLine, createRect, createText, delete, deleteDiagram, deletePresentation, getDiagram, setDiagram`

Method Detail

### createERDiagram

    abstract IERDiagram createERDiagram(IERSchema owner,
                                        String name)

  Create a ER Diagram. Diagram is set to DiagramEditor (DiagramEditor.setDiagram(IDiagram diagram)) if the diagram is created successfully.

  Parameters:
    `owner` - owner
    `name` - name
  Returns:
    ER Diagram
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createLinkPresentation

    abstract ILinkPresentation createLinkPresentation(IElement model,
                                                      INodePresentation source,
                                                      INodePresentation target)

  Create a ILinkPresentation.

  Parameters:
    `model` - model
    `source` - source
    `target` - target
  Returns:
    ILinkPresentation.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createNodePresentation

    abstract INodePresentation createNodePresentation(IElement model,
                                                      Point2D location)

  Create a INodePresentation.

  Parameters:
    `model` - model
    `location` - location
  Returns:
    INodePresentation.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### getSubtypeRelationshipGroup

    abstract INodePresentation getSubtypeRelationshipGroup(ILinkPresentation subtypeRelationship)

  Get the presentation for the group of the shared containment relation.

  Parameters:
    `subtypeRelationship` - An element of the group of containment relation.
  Returns:
    The presentation for the group of the shared containments. Null is returned if the containment doesn't have the shared style.
  Since:
    6.6

### createSubtypeRelationshipGroup

    abstract INodePresentation createSubtypeRelationshipGroup(ILinkPresentation[] subtypeRelationships,
                                                              String direction)

  Create a presentation for the group of the shared subtype relationships.

  Parameters:
    `subtypeRelationships` - Target subtype relationships.
    `direction` - The Direction. "vertical" / "horizontal".
  Returns:
    Created presentation for the group of the subtype relationships.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
        Values:
             Error messages for exceptions.

  Since:
    6.6

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD